(function ($, Drupal) {
  Drupal.behaviors.themr_components_animate = {
    attach: function (context, settings) {
      $('#test-animate').off('click').on('click', function () {
        Drupal.themr.triggerAnimation(false);
        return false;
      });
      $('#test-animate-direct').off('click').on('click', function () {
        Drupal.themr.triggerAnimation(true);
        return false;
      });
    }
  }

  Drupal.themr = {}
  // Re-initialize the animations.
  Drupal.themr.triggerAnimation = (fast) => {
    $('.aos-init').removeClass('aos-init');
    $('.aos-animate').removeClass('aos-animate');
    if (fast) {
      setTimeout(triggerRefresh, 300);
    }
    else {
      setTimeout(triggerRefresh, 1000);
    }
  }

  function triggerRefresh() {
    AOS.refresh();
    AOS.init();
  }

  $(document).ready(AOS.init);
})(jQuery, Drupal);
